# PaginatedIterator

class PaginatedIterator < T >(pageSize: Int , countGetter: () -> Long , paginationResultGetter: Pagination .() -> PaginationResult < T >) : Iterator < T > (source)

## Constructors

PaginatedIterator
Link copied to clipboard
constructor(pageSize: Int , countGetter: () -> Long , paginationResultGetter: Pagination .() -> PaginationResult < T >)

## Functions

hasNext
Link copied to clipboard
open operator override fun hasNext (): Boolean
next
Link copied to clipboard
open operator override fun next (): T